Actualizar lista de precios
curl --request PUT \
--url https://api.lapyme.com.ar/api/v1/price-lists/{price_list_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"is_automatic": true,
"automatic_pricing_mode": "base_price_adjustment",
"adjustment_percentage": 4950,
"default_economic_activity": "<string>",
"tax_inclusive": true
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/price-lists/{price_list_id}"
payload = {
"name": "<string>",
"is_automatic": True,
"automatic_pricing_mode": "base_price_adjustment",
"adjustment_percentage": 4950,
"default_economic_activity": "<string>",
"tax_inclusive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
is_automatic: true,
automatic_pricing_mode: 'base_price_adjustment',
adjustment_percentage: 4950,
default_economic_activity: '<string>',
tax_inclusive: true
})
};
fetch('https://api.lapyme.com.ar/api/v1/price-lists/{price_list_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"price_list": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_automatic": true,
"adjustment_percentage": 123,
"tax_inclusive": true,
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
},
"should_sync_prices": true
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_price_list_update_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request for updating price lists",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_update_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_update_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_update_1",
"error": {
"code": "NOT_FOUND",
"message": "Price list not found",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_update_1",
"error": {
"code": "CONFLICT",
"message": "A price list with this name already exists",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_price_list_update_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not update the price list",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Actualizar lista de precios
Actualiza una lista de precios y devuelve el detalle persistido, incluyendo si se disparó la sincronización de precios.
PUT
/
api
/
v1
/
price-lists
/
{price_list_id}
Actualizar lista de precios
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
ID opcional de la solicitud para trazabilidad. Si se omite, el servidor genera uno.
Path Parameters
ID de la lista de precios
Body
application/json
Available options:
base_price_adjustment, cost_markup Required range:
-100 <= x <= 10000Pattern:
^\d{6}$Was this page helpful?
⌘I

